Package twisted :: Package im :: Module pbsupport :: Class PBAccount

[show private | hide private]
[frames | no frames]

## Class PBAccount

      Versioned --+
                  |
    AbstractAccount --+
                      |
                     PBAccount

Method Summary
| ``__init__`(self, accountName, autoLogin, username, password, host, port, services)`
| `__getstate__(self)` (inherited from `AbstractAccount`)
| `__repr__(self)` (inherited from `AbstractAccount`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| ``getGroup`(self, name)` Group factory. (inherited from `AbstractAccount`)
| ``getPerson`(self, name)` Person factory. (inherited from `AbstractAccount`)
| `isOnline(self)` (inherited from `AbstractAccount`)
DeferredList of `interfaces.IClient`s | ``logOn`(self, chatui)` Return this breaks with `interfaces.IAccount`
| `upgrateToVersion2(self)` (inherited from `AbstractAccount`)
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`tuple` | `__implements__`
`str` | `gatewayType`
`class` | `TwistedWordsGroup`
`class` | `TwistedWordsPerson`

Method Details

### __init__(self, accountName, autoLogin, username, password, host, port, services=None)
(Constructor)

  Parameters:
    `username` - The name of your PB Identity.
    (type=string)

### logOn(self, chatui)

  Returns:
    this breaks with `interfaces.IAccount`
    (type=DeferredList of `interfaces.IClient`s)

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.im.interfaces.IAccount'>,)

### gatewayType

  Type:
    `str`
  Value:

        'PB'

### TwistedWordsGroup

`TwistedWordsGroup` = `twisted.im.pbsupport.TwistedWordsGroup`

### TwistedWordsPerson

`TwistedWordsPerson` = `twisted.im.pbsupport.TwistedWordsPerson`

Generated by Epydoc 1.1 on Thu May 8 13:16:26 2003 | http://epydoc.sf.net